package com.tankalfa;
import com.osnova.*;
import android.graphics.Color;


/**
 * 23.01.24
 * Biverus 
 * class Menu
 * Tank A
 */

public class Menu {
    
   public static int kap=0; 
   public static int v=0;
   
   public static int x=900,bx;
   public static Key start; 
    
    
    
    
    
    
  public static void load(Grap g){
        
      start= new Key(400,300,64,64,D.zt,g.getDD());  
     // start.pause=true; 
      start.ka1=0;start.ka2=3;
    }  
    
   
   public static void logo(Grap g){
    //g.clear(Color.BLACK);
    
    v++;
    
   if(v>60) {g.Bitmap(D.bi,0,0);}//350,200);}
   if(v>120) {g.Text(" ИГРАТЬ",370,290,30,-1);}//350,340,30,-1);}
   if(v>240) {v=240;/*kap=1;*/}    
        
         
    } 
    
   public static void menu(Grap g){
        
        g.clear(Color.DKGRAY);
    /*
      if(Menu.kap==0){Menu.logo(g);}  
      if(Menu.kap==1){Menu.menu(g);}  
      if(Menu.kap==2){Menu.info(g);} 
      if(Menu.kap==3){Menu.ist(g);} 
      if(Menu.kap==4){Menu.author(g);}
    */ 
    } 
    
     
  public static void author(Grap g){} 
    
  public static void info(Grap g){}  
   
  public static void ist(Grap g){}
    
  public static void tankA(Grap g){
       
       
        g.clear(Color.rgb(170,170,170));
        
        g.Bitmap(D.menu,x,50);
        g.Text("версия: 1.0",10,450,30,Color.BLACK);
        g.Text("год: 2024",10,480,30,Color.BLACK);
     
    
    
    
        x-=5;
        if(x<130){x=130;
        start.draw(Ran.c);
        logo(g);
    if(start.getK()){newGame();kap=1;}}
         
        
         
    } 
   
  ///////старт///////
  public static void newGame(){
    
    D.x=2;D.y=2018;
    D.hx=205;D.hy=2304;
    
    D.live=5;D.tan=1;D.baH=1;
    D.bron=0;
    
  }
  
   //////////////
    
    //e. c
}
